'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = jssCamelCase;
var regExp = /([A-Z])/g;

/**
 * Allow camel cased property names by converting them back to dasherized.
 *
 * @param {Rule} rule
 * @api public
 */
function jssCamelCase() {
  return function (rule) {
    var style = rule.style;

    if (!style) return;
    rule.style = {};
    for (var prop in style) {
      var value = style[prop];
      prop = prop.replace(regExp, replace);
      rule.style[prop] = value;
    }
  };
}

function replace(c) {
  return '-' + c.toLowerCase();
}